<a href="" [routerLink]="['/accueil']" routerLinkActive="link-active">
  <div class="logo-connection">
    <img src="assets/images/logo/Barnabe.io_logo.svg" class="side-navbar__logo-text" alt="Full logo">
  </div>
</a>


<div class="main">
  <div class="form-creation">
    <h1 class="form-creation-title">Formulaire d'inscription</h1>
    <nz-steps [nzCurrent]="index" (nzIndexChange)="onIndexChange($event)">
      <nz-step nzTitle="Création de compte"></nz-step>
      <nz-step nzTitle="Validation" [nzDisabled]="registerForm.invalid && !accountCreated"></nz-step>
    </nz-steps>

    <ng-container [ngSwitch]="index">
      <div class="step-form" *ngSwitchCase="0">
        <form [formGroup]="registerForm" (ngSubmit)="createAccountWithEmailAndPassword()" class="form">
          <div class="form-group">
            <label class="form-label">
              Mon mail de connexion : *
              <input type="email" class="form-control" formControlName="email"
                     [ngClass]="{ 'is-invalid': registerForm.touched && registerForm.controls.email.errors}"
                     placeholder="Mon adresse e-mail"/>
            </label>
          </div>

          <div class="form-group">
            <label class="form-label">
              Mon mot de passe : *
              <input type="password" class="form-control" formControlName="password"
                     [ngClass]="{ 'is-invalid': registerForm.touched && registerForm.get('password').errors}"
                     placeholder="Mon mot de passe"/>
            </label>
          </div>

          <div class="form-group">
            <div class="form-check">
              <input class="form-check-input" formControlName="is_adult" type="checkbox"
                     [value]="registerForm.get('is_adult').value"
                     id="invalidCheck3"
                     [ngClass]="{ 'is-invalid':  registerForm.get('is_adult').touched && registerForm.get('is_adult').errors}"
                     required>
              <label class="form-check-label" for="invalidCheck3">
                J'ai plus de 18 ans *
              </label>
              <div class="invalid-feedback">
                Vous devez avoir plus de 18 ans
              </div>
            </div>
            <div class="form-check">
              <input class="form-check-input" formControlName="is_cgu_validated" type="checkbox"
                     [value]="registerForm.get('is_cgu_validated').value"
                     id="cgu"
                     [ngClass]="{ 'is-invalid': registerForm.get('is_cgu_validated').touched && registerForm.get('is_cgu_validated').errors}"
                     required>
              <label class="form-check-label" for="cgu">
                J'accepte les <a href="https://drive.google.com/file/d/1exV2L4jbKwxxovhfgUFNqgNLL4L1If0V/view"
                                 target="_blank">CGU</a> *
              </label>
              <div class="invalid-feedback">
                Vous devez accepter les conditions
              </div>
            </div>

          </div>

          <div class="button-create">
            <button type="submit" class="btn btn-primary">
              <span role="status" aria-hidden="true"></span>
              Continuer
            </button>
          </div>
        </form>
      </div>

      <div class="step-form" *ngSwitchCase="1">
        <ng-container *ngIf="user">
          <p nz-paragraph>
            Dans la prochaine étape nous allons vous demander de remplir votre profil.
            Vos données personnelles sont sécurisées.
          </p>
          <app-register-list [user]="user"></app-register-list>
          <a nz-button nzType="primary" routerLink="/profile">J'ai compris !</a>
        </ng-container>
        <ng-container *ngIf="!user">
          <nz-spin></nz-spin>
        </ng-container>

      </div>

    </ng-container>


    <!--    <div class="profil_informations" *ngIf="next===false">
          <form [formGroup]="createForm" class="form" (ngSubmit)="onSubmit()">
            <h2 class="first_part">Veuillez renseigner tous les champs pour créer votre profil</h2>
            <hr>
            <div class="form-group">
              <label class="form-label">
                <span id="civility-label">Civilité : *</span>
                <select formControlName="civility" class="form-control" id="civility"
                        [ngClass]="{ 'is-invalid': submitted && createForm.controls.civility.errors }">
                  <option value="" disabled>Sélectionnez votre civilité</option>
                  <option *ngFor="let civility of listCivility" [ngValue]="civility">{{civility}}</option>
                </select>
              </label>
              <div class="error-valation-field" *ngIf="submitted && createForm.controls.civility.errors">
                <span *ngIf="createForm.controls.civility.errors.required">Selectionnez une civilité</span>
              </div>
            </div>
            <div class="form-group">
              <label class="form-label">
                Prénom : *
                <input type="text" formControlName="first_name" class="form-control" placeholder="Prénom"
                       [ngClass]="{ 'is-invalid': submitted && createForm.controls.first_name.errors }"/>
              </label>
              <div class="error-valation-field" *ngIf="submitted && createForm.controls.first_name.errors">
                <span *ngIf="createForm.controls.first_name.errors.required">Entrez votre prénom</span>
              </div>
            </div>

            <div class="form-group">
              <label class="form-label">
                Nom : *
                <input type="text" formControlName="last_name" class="form-control" placeholder="Nom"
                       [ngClass]="{ 'is-invalid': submitted&& createForm.controls.last_name.errors }"/>
              </label>
              <div class="error-valation-field" *ngIf="submitted && createForm.controls.last_name.errors">
                <span *ngIf="createForm.controls.last_name.errors.required">Entrez votre nom</span>
              </div>
            </div>

            <div class="form-group">
              <label class="form-label">
                Numéro de téléphone : *
                <input type="phone" formControlName="phone" class="form-control" placeholder="Numéro de téléphone"
                       [ngClass]="{ 'is-invalid': submitted&& createForm.controls.phone.errors }"/>
              </label>
              <div class="error-valation-field" *ngIf="submitted && createForm.controls.phone.errors">
                <span *ngIf="createForm.controls.phone.errors.required">Entrez votre numéro de téléphone</span>
              </div>

            </div>

            <div class="form-group">
              <label class="form-label">
                Date de naissance : *
                <input formControlName="birth_date" type="date" class="form-control"
                       [ngClass]="{ 'is-invalid': submitted && createForm.controls.birth_date.errors }">
                &lt;!&ndash; <input formControlName="birth_date" [(ngModel)]="model" ngbDatepicker #d="ngbDatepicker" type="date"
                  class="form-control" [ngClass]="{ 'is-invalid': submitted && createForm.controls.birth_date.errors }"> &ndash;&gt;
                <div class="error-valation-field" *ngIf="submitted && createForm.controls.phone.errors">
                  <span *ngIf="createForm.controls.phone.errors.required">Date de naissance requise</span>
                </div>
              </label>
            </div>

            <div class="form-group">
              <label class="form-label">
                Code postal : *
                <input type="text" formControlName="zip_code" placeholder="Code postal"
                       [ngClass]="{ 'is-invalid': submitted && createForm.controls.zip_code.errors }" class="form-control">
                <div class="error-valation-field" *ngIf="submitted && createForm.controls.zip_code.errors">
                  <span *ngIf="createForm.controls.zip_code.errors.required">Code postal requis</span>
                </div>
              </label>
            </div>

            <label class="form-label">
              <span id="reseaux-label">Sélectionnez votre structure de rattachement : *</span>
              <select formControlName="reseau_id" class="form-control" id="reseaux-select"
                      [ngClass]="{ 'is-invalid': submitted && createForm.controls.reseau_id.errors }">
                <option value="" disabled>Sélectionnez votre structure</option>
                &lt;!&ndash;<option *ngFor="let reseau of listReseau" [ngValue]="reseau.id">{{reseau.name}}</option>&ndash;&gt;
              </select>
              <div class="error-valation-field" *ngIf="submitted && createForm.controls.reseau_id.errors.required">
                <span *ngIf="createForm.controls.reseau_id.errors.required">Selectionnez votre structure</span>
              </div>
            </label>



            <div>
              <button type="submit" class="btn btn-primary">Suivant</button>
              <button class="mt-2 btn btn-outline-secondary" (click)="goBack()">Précédent</button>
            </div>
          </form>
        </div>-->
  </div>
</div>

